View Issue Details

IDProjectCategoryLast Update
0001004HellionBug2019-08-17 23:19
ReporterHenrisonAssigned To 
PrioritynormalReproducibilityalways 
Status investigating 
Product Version0.4.0 
Target VersionFixed in Version 
Summary0001004: Single Player server memory-leaking Handles
Description

The Hellion single player server is memory-leaking Handles whenever it's running. This causes the RAM to fill up over time until Windows OOM-kills the entire game once it runs out.
Of course I can't test it but I'm fairly sure that I first encountered this problem only after the 0.4.0 update.

Note that the leaked memory is not shown as part of the process' private memory set in task manager.

The attached image shows a screenshot of Process Explorer displaying the number of handles accumulated after playing for about an hour. At this point, my computer was using 29/32 GB ram with only Hellion running.


System information:
OS: Windows 7
RAM: 32 GB
CPU: Intel i7-6700K
GPU: NVIDIA GeForce GTX 970

Steps To Reproduce

Start any single player game so that HELLION_SP.exe gets fired up.

Tagssingle player

Activities

Henrison

Henrison

2019-03-15 20:28

reporter  

hellion_memory_leak.png (12,277 bytes)
hellion_memory_leak.png (12,277 bytes)
Henrison

Henrison

2019-08-17 23:19

reporter   ~0002140

In version 0.5.2 this bug doesn't appear anymore for me, the number of handles remains constant. Consider it resolved.

Issue History

Date Modified Username Field Change
2019-03-15 20:28 Henrison New Issue
2019-03-15 20:28 Henrison File Added: hellion_memory_leak.png
2019-03-15 20:30 Henrison Tag Attached: single player
2019-03-18 16:32 Shomy Status new => investigating
2019-08-17 23:19 Henrison Note Added: 0002140